﻿Public Class Payment
    Public Sub Add(Item As String, Producer As String, Price As String, Qty As String)
        Dim row As String() = New String(4) {}
        Dim LV As ListViewItem

        'Fill Row
        row(0) = Item
        row(1) = Producer
        row(2) = Price
        row(3) = Qty

        'Add to Listview Object
        LV = New ListViewItem(row)

        'Add item to ListView
        ListView1.Items.Add(LV)
    End Sub
    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        'returning in the mainform
        Me.Hide()
    End Sub

    Public Sub Payment_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        'List View
        ListView1.View = View.Details
        ListView1.FullRowSelect = True

        'Add column headers
        ListView1.Columns.Add("Item", 150)
        ListView1.Columns.Add("Producer", 180)
        ListView1.Columns.Add("Price", 80)
        ListView1.Columns.Add("Qty", 50)
        'for the subtotal
        TextBox3.Text = Val(Form1.TextBox2.Text) + Val(TextBox2.Text)
        Label8.Text = DateAndTime.Now()
    End Sub

    Private Sub TextBox4_TextChanged(sender As Object, e As EventArgs) Handles TextBox4.TextChanged
        'amount calculation
        If Val(TextBox3.Text) >= Val(TextBox4.Text) Then
            TextBox5.Text = Nothing
            Button2.Enabled = False
            TextBox4.Focus()
            Button2.BackColor = Color.Transparent
        Else
            TextBox5.Text = Format(Val(TextBox4.Text) - Val(TextBox3.Text), "0.00")
            Button2.Enabled = True
            Button2.BackColor = Color.PaleGreen
        End If
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        'printing the receipt
        Button3.Hide()
        Button2.Hide()
        'List View
        Me.ListView1.Update()
        PrintForm1.Print()
        Button3.Show()
        Button2.Show()
        Me.Hide()
    End Sub

    Private Sub TextBox4_KeyPress(sender As Object, e As KeyPressEventArgs) Handles TextBox4.KeyPress
        'textkey set to numeric only
        If Asc(e.KeyChar) >= 48 And Asc(e.KeyChar) <= 57 Or Asc(e.KeyChar) = 8 Then
            e.Handled = False
        Else
            e.Handled = True
        End If
    End Sub

End Class